Loading...
Searching...
No Matches
casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T > Class Template Reference

`#include <ArrayPartMath.h>`

## Public Member Functions

| MedianFunc (bool sorted=false, bool takeEvenMean=true, bool inPlace=false)
virtual | ~MedianFunc ()
virtual T | operator() (const Array< T > &arr) const final override
Public Member Functions inherited from casacore::ArrayFunctorBase< T, RES >
virtual | ~ArrayFunctorBase ()

## Private Attributes

bool | itsSorted
bool | itsTakeEvenMean
bool | itsInPlace
std::vector< T > | itsTmp

## Detailed Description

template<typename T>
class casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >

Definition at line 247 of file ArrayPartMath.h.

## Constructor & Destructor Documentation

## MedianFunc()

template<typename T>

casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::MedianFunc | ( | bool | sorted = false,
|  | bool | takeEvenMean = true,
|  | bool | inPlace = false )

inline explicit

Definition at line 249 of file ArrayPartMath.h.

References itsInPlace, itsSorted, and itsTakeEvenMean.

## ~MedianFunc()

template<typename T>

virtual casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::~MedianFunc | ( |  | ) |

inline virtual

Definition at line 252 of file ArrayPartMath.h.

## Member Function Documentation

## operator()()

template<typename T>

virtual T casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::operator() | ( | const Array< T > & | arr | ) | const

inline final override virtual

Implements casacore::ArrayFunctorBase< T, RES >.

Definition at line 253 of file ArrayPartMath.h.

References itsInPlace, itsSorted, itsTakeEvenMean, itsTmp, and casacore::median().

## Member Data Documentation

## itsInPlace

template<typename T>

bool casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::itsInPlace

private

Definition at line 258 of file ArrayPartMath.h.

Referenced by MedianFunc(), and operator()().

## itsSorted

template<typename T>

bool casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::itsSorted

private

Definition at line 256 of file ArrayPartMath.h.

Referenced by MedianFunc(), and operator()().

## itsTakeEvenMean

template<typename T>

bool casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::itsTakeEvenMean

private

Definition at line 257 of file ArrayPartMath.h.

Referenced by MedianFunc(), and operator()().

## itsTmp

template<typename T>

std::vector<T> casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >::itsTmp

mutable private

Definition at line 259 of file ArrayPartMath.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayPartMath.h